Bio::PhyloNetwork::GraphViz(3)

NAME
Bio::PhyloNetwork::GraphViz - Interface between PhyloNetwork and GraphViz

SYNOPSIS
  use Bio::PhyloNetwork;
  use Bio::PhyloNetwork::GraphViz;

  my $net=Bio::PhyloNetwork->new(
      -eNewick=>'((H1,(H1,(H2,l))),H2)t0; (some long label)H1; ("quoted label")H2;'
  );

  my $gv=Bio::PhyloNetwork::GraphViz->new(-net=>$net,-short_labels=>1);

  foreach my $u ($net->nodes()) {
      print "$u:".$gv->nodePN_to_nodeGV->{$u}."\n";
  }

  print $gv->as_text;

  open PS, "> net.ps";
  print PS $gv->as_ps;
  close PS;

DESCRIPTION
This is a module to create GraphViz objects representing phylogenetic networks.

AUTHOR
Gabriel Cardona, gabriel(dot)cardona(at)uib(dot)es

SEE ALSO
Bio::PhyloNetwork, GraphViz

APPENDIX
The rest of the documentation details each of the object methods.

  new
 Title   : new
 Usage   : my $graphv = new Bio::PhyloNetwork::GraphViz();
 Function: Creates a new Bio::PhyloNetwork::GraphViz object
 Returns : Bio::PhyloNetwork::GraphViz
 Args    : -net => Bio::PhyloNetwork object
           -short_labels => boolean (optional)

Returns a Bio::PhyloNetwork::GraphViz object, which is an extension of a GraphViz object. The GraphViz object is a representation of the phylogenetic network given. The extra information the created object holds is a hash table with keys the nodes of the PhyloNetwork object and values the nodes of the GraphViz object. If the optional argument -short_labels=>1 is given, the labels of the nodes in GraphViz are shortened to a maximum of 3 letters.

  nodePN_to_nodeGV
 Title   : nodePN_to_nodeGV
 Usage   : my $hashR=$graphv->nodePN_to_nodeGV()
 Function: returns (a reference to) a hash holding the translation between
           nodes of the Bio::PhyloNetwork object and nodes of the GraphViz
           object
 Returns : reference to hash
 Args    : none